const test = require('tape')

const Component = require('../../src/component/Component')
const Host = require('../../src/host/Host')
const Document = require('../../src/document/Document')

test('Host', t => {
  let h = new Host()

  t.equal(typeof h, 'object', 'is an object')
  t.ok(h instanceof Component, 'is a Component')
  t.ok(h instanceof Host, 'is a Host')
  t.end()
})

test('Host.class_', t => {
  let h = new Host()

  t.equal(h.class_('foo.html'), Document)
  t.equal(h.class_('foo.md'), Document)

  t.equal(h.class_('foo.bar'), null)

  t.end()
})

test('Host.open', t => {
  let h = new Host()

  h.open('plots/scatter/vega-lite.md').then(c => {
    t.equal(c.html, 'frfr')
    t.end()
  })
})
